Resource Center/Resource Pool/Disk Offering Operations
PUTDisk Offering OperationsSince 0.6SynchronousAuth Required
ChangeDiskOfferingState
ChangeDiskOfferingState
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe resource UUID.
Body Fields
changediskofferingstateObjectRequiredchangediskofferingstate request body object.
stateEventStringRequiredThe state event.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/disk-offerings/{uuid}/actions
/zstack/v1/disk-offerings/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/disk-offerings/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"changediskofferingstate":{"stateEvent":"<stateEvent>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "5e84d8a44b2941eb96d9eec31e0524be", "name": "diskOffering1", "diskSize": 100.0, "state": "Enabled", "type": "DefaultDiskOfferingType", "allocatorStrategy": "DefaultPrimaryStorageAllocationStrategy" } }Change History
This API has no change history records yet.
